.. _ReleaseNotes:

=============
Release notes
=============

The APIs before v3.0.0 are in beta and may change without prior notice.

v3.0 Notes
==========

v3.2.1 (2023-07-07)
-------------------

- Added in an extensive developer documentation

v3.2.0 (2023-05-17)
-------------------
Major Improvements to the IDR:

- Added the ability to upload more than one file at a time
- Added the ability to read CSV files
- Updated the file parsing to now handle ANDES output files as a format

Replaced simple.http server backend with Flask

- Uses Gunicorn as the WSGI
- Removed static file parameter in agvis run command

v3.1.3 (2023-04-27)
-------------------
- Update to the ``cli`` and ``web`` includes a new input argument ``static_path``
- Update case files for visualization

v3.1.2 (2023-04-26)
-------------------
- Minor fix of the documentation, contributed by Jinning Wang

v3.1.1 (2023-04-25)
-------------------
- Improve documentation, contributed by Jinning Wang

v3.1.0 (2023-04-24)
-------------------
Packing and documentation, contributed by Jinning Wang:

- Packing AGVis as a python package
- Enhance command line usage
- Add interactive usage
- Improve command line usage
- Improve documentation by reorganizing the structure

v3.0.0 (2023-02-20)
-------------------
The Independent Data Reader, contributed by Nicholas Parsly:

- Added in the ability to interpret simulation data and animate it:
- Playback Bar for playing the animation at different speeds
- Frequency, Voltage Magnitude, and Voltage Angle displays
- Customizable ranges for those displays
- Customizable Timestamps
- More than one simulation playing at once

v2.0 Notes
==========

v2.1.0 (2023-02-12)
-------------------
- Added a Node size slider in the MultiLayer Menu
- Adjusted zoom granularity for box and pinch zooms
- Minor bug fix for Line thickness slider

v2.0.0 (2022-09-01)
-------------------
The MultiLayer Topology Update:

- Added the MultiLayer sidebar and all associated features within it:
- Excel Reader for displaying Nodes and Lines from properly formatted files
- Rendering Toggle
- Custom Node Colors
- Custom Line Colors
- Layer Re-ordering
- Layer Deletion
- Custom Node Opacity
- Custom Line Opacity
- Custom Line Thickness
- Search Layer Integration
- Added new display symbols for Nodes

Pre-v2.0.0 (2022-08-19)
==============================

Before the release of 2.0.0, AGVis did not have a standardized numbering system for versions.
On account of this and the fact that the primary developer for those pre-2.0.0 versions has moved on to other things,
there is not a good way to label them. Feel free to consider the first version of AGVis that allowed for displaying nodes
and simulation data the 1.0.0 version.
The last 1.X.X version would then be the update that added in the Timestamp feature.
